Last Comment Bug 720069 - Intermittent test_browserFrame1.html, test_browserFrame2.html, test_browserFrame3.html "iframeLoad is not defined"
: Intermittent test_browserFrame1.html, test_browserFrame2.html, test_browserFr...
Status: RESOLVED FIXED
[qa-]
: intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Justin Lebar (not reading bugmail)
:
Mentors:
Depends on:
Blocks: 438871 710231
  Show dependency treegraph
 
Reported: 2012-01-20 20:12 PST by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
fix (4.42 KB, patch)
2012-01-20 20:50 PST, Phil Ringnalda (:philor)
justin.lebar+bug: review+
Details | Diff | Splinter Review
Patch v1 (5.39 KB, patch)
2012-01-20 22:44 PST, Justin Lebar (not reading bugmail)
philringnalda: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2012-01-20 20:12:31 PST
Okay, I only have a test_browserFrame3.html in https://tbpl.mozilla.org/php/getParsedLog.php?id=8713381&tree=Mozilla-Inbound so far, but it's just a matter of time for the others. Nothing says that firing onload has to wait for all script in the document to be parsed, so <iframe onload="foo"></iframe><script>function foo(){}</script> is just asking for "foo is not defined."

Of course, the mochitest boilerplate encourages that, but that's for the same reason that the Mozilla Store only sells clownshoes, starting with size 22.
Comment 1 Phil Ringnalda (:philor) 2012-01-20 20:50:10 PST
Created attachment 590424 [details] [diff] [review]
fix

Moving the <script> inside the <head> where you would have put it as a matter of course if you weren't starting with boilerplate works too, but that requires way more cut and paste than this does.
Comment 2 Justin Lebar (not reading bugmail) 2012-01-20 21:07:26 PST
Comment on attachment 590424 [details] [diff] [review]
fix

Silly me.  Thanks, Philor.
Comment 3 Treeherder Robot 2012-01-20 21:12:37 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8714709&tree=Firefox
Rev3 WINNT 5.1 mozilla-central debug test mochitests-3/5 on 2012-01-20 20:33:45

6552 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame3.html:1
Comment 5 Treeherder Robot 2012-01-20 21:49:55 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8715393&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-01-20 21:30:09

6547 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame1.html | an unexpected uncaught JS exception reported through window.onerror - iframe is null at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame1.html:26
6551 INFO TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame2.html | finished in a non-clean fashion (in /tests/dom/tests/mochitest/general/test_browserFrame1.html)
6554 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | an unexpected uncaught JS exception reported through window.onerror - iframe is null at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame3.html:30
6558 INFO TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame4.html | finished in a non-clean fashion (in /tests/dom/tests/mochitest/general/test_browserFrame3.html)
Comment 6 Phil Ringnalda (:philor) 2012-01-20 21:54:02 PST
Okay, that was pathetic, where I starred my own brokenness from not paying attention to what I was fixing and what I would be breaking as though it was just the original problem. Backed out in https://hg.mozilla.org/integration/mozilla-inbound/rev/62b602a49394, guess I ought to actually look at what I'm doing.
Comment 7 Justin Lebar (not reading bugmail) 2012-01-20 22:07:38 PST
Well, one problem is

  addEventListener('load', runTest());

I bet if we got rid of those parentheses, that would help a lot.
Comment 8 Phil Ringnalda (:philor) 2012-01-20 22:18:34 PST
Ignoring 4, which I shouldn't have touched, 1-3 fail to consider data:text/html,<body><iframe onload="alert('iframe loaded')"></iframe></body>.

The whole thing is a race, will the iframe fire its first onload from when it loads empty before iframeLoad is defined, or will it fire it after it's defined but before the window load fires and runTest happens? :)
Comment 9 Phil Ringnalda (:philor) 2012-01-20 22:26:05 PST
A little knowledge is a dangerous thing, and that's about how much I have, a little.
Comment 10 Justin Lebar (not reading bugmail) 2012-01-20 22:38:32 PST
Okay, yeah, these tests are totally bogus.  :(
Comment 11 Justin Lebar (not reading bugmail) 2012-01-20 22:44:49 PST
Created attachment 590431 [details] [diff] [review]
Patch v1
Comment 12 Justin Lebar (not reading bugmail) 2012-01-20 22:45:30 PST
Philor, feel free to push this.  If you don't get around to it tonight, I'll push in the morning.
Comment 13 Phil Ringnalda (:philor) 2012-01-20 23:52:04 PST
Comment on attachment 590431 [details] [diff] [review]
Patch v1

Pretty sure that's what we want to do, but based on my track record so far tonight, I asked the try server to back me up in https://tbpl.mozilla.org/?tree=Try&rev=53a86844e908
Comment 14 Treeherder Robot 2012-01-21 06:19:58 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8718181&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-3/5 on 2012-01-21 04:01:19

6552 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame3.html:1
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Comment 15 Justin Lebar (not reading bugmail) 2012-01-21 06:56:18 PST
At least three of the tests didn't have this failure.  The Windows tests are still pending (??), but I'm going to push anyway.
Comment 16 Justin Lebar (not reading bugmail) 2012-01-21 06:57:22 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/8ff77543b294
Comment 17 Treeherder Robot 2012-01-21 09:35:47 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8721654&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitests-3/5 on 2012-01-21 07:18:09

6546 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame1.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame1.html:1
Comment 18 Treeherder Robot 2012-01-21 13:38:42 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8725578&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central opt test mochitests-3/5 on 2012-01-21 12:09:13

6546 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame1.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame1.html:1
Comment 19 Treeherder Robot 2012-01-21 15:21:20 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8727089&tree=Profiling
Rev3 WINNT 5.1 profiling debug test mochitests-3/5 on 2012-01-21 14:09:59

6546 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame1.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame1.html:1
Comment 20 Treeherder Robot 2012-01-22 03:00:43 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8731328&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-01-22 00:52:08

6547 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame1.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame1.html:1
Comment 21 Treeherder Robot 2012-01-22 10:01:54 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8742888&tree=Try
Rev3 WINNT 5.1 try opt test mochitests-3/5 on 2012-01-22 09:03:44

6552 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame3.html:1
Comment 22 Ed Morley [:emorley] 2012-01-22 12:33:17 PST
https://hg.mozilla.org/mozilla-central/rev/8ff77543b294
Comment 23 Treeherder Robot 2012-01-22 18:04:11 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8747163&tree=Fx-Team
Rev3 WINNT 5.1 fx-team debug test mochitests-3/5 on 2012-01-22 17:26:51

6552 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame3.html:1
Comment 24 Treeherder Robot 2012-01-23 01:50:13 PST
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=8727601&tree=Try
Rev3 WINNT 5.1 try opt test mochitests-3/5 on 2012-01-21 15:16:20

6552 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | an unexpected uncaught JS exception reported through window.onerror - iframeLoad is not defined at http://mochi.test:8888/tests/dom/tests/mochitest/general/test_browserFrame3.html:1
Comment 25 Serge Gautherie (:sgautherie) 2012-01-23 01:56:33 PST
(In reply to TinderboxPushlog Robot from comment #24)
> sgautherie
> https://tbpl.mozilla.org/php/getParsedLog.php?id=8727601&tree=Try
> Rev3 WINNT 5.1 try opt test mochitests-3/5 on 2012-01-21 15:16:20

This one happened before comment 22 fix.
Comment 26 Treeherder Robot 2012-03-27 05:53:52 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10401494&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitests-3/5 on 2012-03-27 05:02:13

6545 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_497898.html | an unexpected uncaught JS exception reported through window.onerror - attempt to run compile-and-go script on a cleared scope at data:application/xhtml+xml;charset=utf-8,%3Chtml%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxhtml%22%3E%0A%0A%3Ciframe%2F%3E%0A%3Cframeset%20onblur%3D%22window.frameElement.parentNode.removeChild(window.frameElement)%22%20id%3D%22frame%22%2F%3E%0A%0A%3Cscript%3E%0Afunction%20doe(i)%7B%0Adocument.getElementById('frame').focus()%3B%0Adocument.getElementsByTagName('*')%5B1%5D.focus()%3B%0A%7D%0Atop.opener.SimpleTest.waitForFocus(function%20()%20setTimeout(doe%2C%20100)%2C%20top)%3B%0A%3C%2Fscript%3E%0A%3C%2Fhtml%3E:11
6549 INFO TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame1.html | finished in a non-clean fashion (in /tests/dom/tests/mochitest/general/test_497898.html)
6553 INFO TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame2.html | finished in a non-clean fashion (in /tests/dom/tests/mochitest/general/test_browserFrame1.html)
6557 INFO TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_browserFrame3.html | finished in a non-clean fashion (in /tests/dom/tests/mochitest/general/test_browserFrame2.html)

Note You need to log in before you can comment on or make changes to this bug.